comparison spandsp-0.0.3/spandsp-0.0.3/config.status @ 5:f762bf195c4b

import spandsp-0.0.3
author Peter Meerwald <pmeerw@cosy.sbg.ac.at>
date Fri, 25 Jun 2010 16:00:21 +0200
parents
children
comparison
equal deleted inserted replaced
4:26cd8f1ef0b1 5:f762bf195c4b
1 #! /bin/sh
2 # Generated by configure.
3 # Run this file to recreate the current configuration.
4 # Compiler output produced by configure, useful for debugging
5 # configure, is in config.log if it exists.
6
7 debug=false
8 ac_cs_recheck=false
9 ac_cs_silent=false
10 SHELL=${CONFIG_SHELL-/bin/sh}
11 ## --------------------- ##
12 ## M4sh Initialization. ##
13 ## --------------------- ##
14
15 # Be Bourne compatible
16 if test -n "${ZSH_VERSION+set}" && (emulate sh) >/dev/null 2>&1; then
17 emulate sh
18 NULLCMD=:
19 # Zsh 3.x and 4.x performs word splitting on ${1+"$@"}, which
20 # is contrary to our usage. Disable this feature.
21 alias -g '${1+"$@"}'='"$@"'
22 elif test -n "${BASH_VERSION+set}" && (set -o posix) >/dev/null 2>&1; then
23 set -o posix
24 fi
25 DUALCASE=1; export DUALCASE # for MKS sh
26
27 # Support unset when possible.
28 if ( (MAIL=60; unset MAIL) || exit) >/dev/null 2>&1; then
29 as_unset=unset
30 else
31 as_unset=false
32 fi
33
34
35 # Work around bugs in pre-3.0 UWIN ksh.
36 $as_unset ENV MAIL MAILPATH
37 PS1='$ '
38 PS2='> '
39 PS4='+ '
40
41 # NLS nuisances.
42 for as_var in \
43 LANG LANGUAGE LC_ADDRESS LC_ALL LC_COLLATE LC_CTYPE LC_IDENTIFICATION \
44 LC_MEASUREMENT LC_MESSAGES LC_MONETARY LC_NAME LC_NUMERIC LC_PAPER \
45 LC_TELEPHONE LC_TIME
46 do
47 if (set +x; test -z "`(eval $as_var=C; export $as_var) 2>&1`"); then
48 eval $as_var=C; export $as_var
49 else
50 $as_unset $as_var
51 fi
52 done
53
54 # Required to use basename.
55 if expr a : '\(a\)' >/dev/null 2>&1; then
56 as_expr=expr
57 else
58 as_expr=false
59 fi
60
61 if (basename /) >/dev/null 2>&1 && test "X`basename / 2>&1`" = "X/"; then
62 as_basename=basename
63 else
64 as_basename=false
65 fi
66
67
68 # Name of the executable.
69 as_me=`$as_basename "$0" ||
70 $as_expr X/"$0" : '.*/\([^/][^/]*\)/*$' \| \
71 X"$0" : 'X\(//\)$' \| \
72 X"$0" : 'X\(/\)$' \| \
73 . : '\(.\)' 2>/dev/null ||
74 echo X/"$0" |
75 sed '/^.*\/\([^/][^/]*\)\/*$/{ s//\1/; q; }
76 /^X\/\(\/\/\)$/{ s//\1/; q; }
77 /^X\/\(\/\).*/{ s//\1/; q; }
78 s/.*/./; q'`
79
80
81 # PATH needs CR, and LINENO needs CR and PATH.
82 # Avoid depending upon Character Ranges.
83 as_cr_letters='abcdefghijklmnopqrstuvwxyz'
84 as_cr_LETTERS='ABCDEFGHIJKLMNOPQRSTUVWXYZ'
85 as_cr_Letters=$as_cr_letters$as_cr_LETTERS
86 as_cr_digits='0123456789'
87 as_cr_alnum=$as_cr_Letters$as_cr_digits
88
89 # The user is always right.
90 if test "${PATH_SEPARATOR+set}" != set; then
91 echo "#! /bin/sh" >conf$$.sh
92 echo "exit 0" >>conf$$.sh
93 chmod +x conf$$.sh
94 if (PATH="/nonexistent;."; conf$$.sh) >/dev/null 2>&1; then
95 PATH_SEPARATOR=';'
96 else
97 PATH_SEPARATOR=:
98 fi
99 rm -f conf$$.sh
100 fi
101
102
103 as_lineno_1=$LINENO
104 as_lineno_2=$LINENO
105 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
106 test "x$as_lineno_1" != "x$as_lineno_2" &&
107 test "x$as_lineno_3" = "x$as_lineno_2" || {
108 # Find who we are. Look in the path if we contain no path at all
109 # relative or not.
110 case $0 in
111 *[\\/]* ) as_myself=$0 ;;
112 *) as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
113 for as_dir in $PATH
114 do
115 IFS=$as_save_IFS
116 test -z "$as_dir" && as_dir=.
117 test -r "$as_dir/$0" && as_myself=$as_dir/$0 && break
118 done
119
120 ;;
121 esac
122 # We did not find ourselves, most probably we were run as `sh COMMAND'
123 # in which case we are not to be found in the path.
124 if test "x$as_myself" = x; then
125 as_myself=$0
126 fi
127 if test ! -f "$as_myself"; then
128 { { echo "$as_me:$LINENO: error: cannot find myself; rerun with an absolute path" >&5
129 echo "$as_me: error: cannot find myself; rerun with an absolute path" >&2;}
130 { (exit 1); exit 1; }; }
131 fi
132 case $CONFIG_SHELL in
133 '')
134 as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
135 for as_dir in /bin$PATH_SEPARATOR/usr/bin$PATH_SEPARATOR$PATH
136 do
137 IFS=$as_save_IFS
138 test -z "$as_dir" && as_dir=.
139 for as_base in sh bash ksh sh5; do
140 case $as_dir in
141 /*)
142 if ("$as_dir/$as_base" -c '
143 as_lineno_1=$LINENO
144 as_lineno_2=$LINENO
145 as_lineno_3=`(expr $as_lineno_1 + 1) 2>/dev/null`
146 test "x$as_lineno_1" != "x$as_lineno_2" &&
147 test "x$as_lineno_3" = "x$as_lineno_2" ') 2>/dev/null; then
148 $as_unset BASH_ENV || test "${BASH_ENV+set}" != set || { BASH_ENV=; export BASH_ENV; }
149 $as_unset ENV || test "${ENV+set}" != set || { ENV=; export ENV; }
150 CONFIG_SHELL=$as_dir/$as_base
151 export CONFIG_SHELL
152 exec "$CONFIG_SHELL" "$0" ${1+"$@"}
153 fi;;
154 esac
155 done
156 done
157 ;;
158 esac
159
160 # Create $as_me.lineno as a copy of $as_myself, but with $LINENO
161 # uniformly replaced by the line number. The first 'sed' inserts a
162 # line-number line before each line; the second 'sed' does the real
163 # work. The second script uses 'N' to pair each line-number line
164 # with the numbered line, and appends trailing '-' during
165 # substitution so that $LINENO is not a special case at line end.
166 # (Raja R Harinath suggested sed '=', and Paul Eggert wrote the
167 # second 'sed' script. Blame Lee E. McMahon for sed's syntax. :-)
168 sed '=' <$as_myself |
169 sed '
170 N
171 s,$,-,
172 : loop
173 s,^\(['$as_cr_digits']*\)\(.*\)[$]LINENO\([^'$as_cr_alnum'_]\),\1\2\1\3,
174 t loop
175 s,-$,,
176 s,^['$as_cr_digits']*\n,,
177 ' >$as_me.lineno &&
178 chmod +x $as_me.lineno ||
179 { { echo "$as_me:$LINENO: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&5
180 echo "$as_me: error: cannot create $as_me.lineno; rerun with a POSIX shell" >&2;}
181 { (exit 1); exit 1; }; }
182
183 # Don't try to exec as it changes $[0], causing all sort of problems
184 # (the dirname of $[0] is not the place where we might find the
185 # original and so on. Autoconf is especially sensible to this).
186 . ./$as_me.lineno
187 # Exit status is that of the last command.
188 exit
189 }
190
191
192 case `echo "testing\c"; echo 1,2,3`,`echo -n testing; echo 1,2,3` in
193 *c*,-n*) ECHO_N= ECHO_C='
194 ' ECHO_T=' ' ;;
195 *c*,* ) ECHO_N=-n ECHO_C= ECHO_T= ;;
196 *) ECHO_N= ECHO_C='\c' ECHO_T= ;;
197 esac
198
199 if expr a : '\(a\)' >/dev/null 2>&1; then
200 as_expr=expr
201 else
202 as_expr=false
203 fi
204
205 rm -f conf$$ conf$$.exe conf$$.file
206 echo >conf$$.file
207 if ln -s conf$$.file conf$$ 2>/dev/null; then
208 # We could just check for DJGPP; but this test a) works b) is more generic
209 # and c) will remain valid once DJGPP supports symlinks (DJGPP 2.04).
210 if test -f conf$$.exe; then
211 # Don't use ln at all; we don't have any links
212 as_ln_s='cp -p'
213 else
214 as_ln_s='ln -s'
215 fi
216 elif ln conf$$.file conf$$ 2>/dev/null; then
217 as_ln_s=ln
218 else
219 as_ln_s='cp -p'
220 fi
221 rm -f conf$$ conf$$.exe conf$$.file
222
223 if mkdir -p . 2>/dev/null; then
224 as_mkdir_p=:
225 else
226 test -d ./-p && rmdir ./-p
227 as_mkdir_p=false
228 fi
229
230 as_executable_p="test -f"
231
232 # Sed expression to map a string onto a valid CPP name.
233 as_tr_cpp="eval sed 'y%*$as_cr_letters%P$as_cr_LETTERS%;s%[^_$as_cr_alnum]%_%g'"
234
235 # Sed expression to map a string onto a valid variable name.
236 as_tr_sh="eval sed 'y%*+%pp%;s%[^_$as_cr_alnum]%_%g'"
237
238
239 # IFS
240 # We need space, tab and new line, in precisely that order.
241 as_nl='
242 '
243 IFS=" $as_nl"
244
245 # CDPATH.
246 $as_unset CDPATH
247
248 exec 6>&1
249
250 # Open the log real soon, to keep \$[0] and so on meaningful, and to
251 # report actual input values of CONFIG_FILES etc. instead of their
252 # values after options handling. Logging --version etc. is OK.
253 exec 5>>config.log
254 {
255 echo
256 sed 'h;s/./-/g;s/^.../## /;s/...$/ ##/;p;x;p;x' <<_ASBOX
257 ## Running $as_me. ##
258 _ASBOX
259 } >&5
260 cat >&5 <<_CSEOF
261
262 This file was extended by $as_me, which was
263 generated by GNU Autoconf 2.59. Invocation command line was
264
265 CONFIG_FILES = $CONFIG_FILES
266 CONFIG_HEADERS = $CONFIG_HEADERS
267 CONFIG_LINKS = $CONFIG_LINKS
268 CONFIG_COMMANDS = $CONFIG_COMMANDS
269 $ $0 $@
270
271 _CSEOF
272 echo "on `(hostname || uname -n) 2>/dev/null | sed 1q`" >&5
273 echo >&5
274 config_files=" Makefile doc/Makefile itutests/Makefile itutests/fax/Makefile src/Makefile tests/Makefile spandsp.spec"
275 config_headers=" src/config.h:config-h.in"
276 config_commands=" depfiles"
277
278 ac_cs_usage="\
279 \`$as_me' instantiates files from templates according to the
280 current configuration.
281
282 Usage: $0 [OPTIONS] [FILE]...
283
284 -h, --help print this help, then exit
285 -V, --version print version number, then exit
286 -q, --quiet do not print progress messages
287 -d, --debug don't remove temporary files
288 --recheck update $as_me by reconfiguring in the same conditions
289 --file=FILE[:TEMPLATE]
290 instantiate the configuration file FILE
291 --header=FILE[:TEMPLATE]
292 instantiate the configuration header FILE
293
294 Configuration files:
295 $config_files
296
297 Configuration headers:
298 $config_headers
299
300 Configuration commands:
301 $config_commands
302
303 Report bugs to <bug-autoconf@gnu.org>."
304 ac_cs_version="\
305 config.status
306 configured by ./configure, generated by GNU Autoconf 2.59,
307 with options \"'--enable-tests'\"
308
309 Copyright (C) 2003 Free Software Foundation, Inc.
310 This config.status script is free software; the Free Software Foundation
311 gives unlimited permission to copy, distribute and modify it."
312 srcdir=.
313 INSTALL="/usr/bin/install -c"
314 # If no file are specified by the user, then we need to provide default
315 # value. By we need to know if files were specified by the user.
316 ac_need_defaults=:
317 while test $# != 0
318 do
319 case $1 in
320 --*=*)
321 ac_option=`expr "x$1" : 'x\([^=]*\)='`
322 ac_optarg=`expr "x$1" : 'x[^=]*=\(.*\)'`
323 ac_shift=:
324 ;;
325 -*)
326 ac_option=$1
327 ac_optarg=$2
328 ac_shift=shift
329 ;;
330 *) # This is not an option, so the user has probably given explicit
331 # arguments.
332 ac_option=$1
333 ac_need_defaults=false;;
334 esac
335
336 case $ac_option in
337 # Handling of the options.
338 -recheck | --recheck | --rechec | --reche | --rech | --rec | --re | --r)
339 ac_cs_recheck=: ;;
340 --version | --vers* | -V )
341 echo "$ac_cs_version"; exit 0 ;;
342 --he | --h)
343 # Conflict between --help and --header
344 { { echo "$as_me:$LINENO: error: ambiguous option: $1
345 Try \`$0 --help' for more information." >&5
346 echo "$as_me: error: ambiguous option: $1
347 Try \`$0 --help' for more information." >&2;}
348 { (exit 1); exit 1; }; };;
349 --help | --hel | -h )
350 echo "$ac_cs_usage"; exit 0 ;;
351 --debug | --d* | -d )
352 debug=: ;;
353 --file | --fil | --fi | --f )
354 $ac_shift
355 CONFIG_FILES="$CONFIG_FILES $ac_optarg"
356 ac_need_defaults=false;;
357 --header | --heade | --head | --hea )
358 $ac_shift
359 CONFIG_HEADERS="$CONFIG_HEADERS $ac_optarg"
360 ac_need_defaults=false;;
361 -q | -quiet | --quiet | --quie | --qui | --qu | --q \
362 | -silent | --silent | --silen | --sile | --sil | --si | --s)
363 ac_cs_silent=: ;;
364
365 # This is an error.
366 -*) { { echo "$as_me:$LINENO: error: unrecognized option: $1
367 Try \`$0 --help' for more information." >&5
368 echo "$as_me: error: unrecognized option: $1
369 Try \`$0 --help' for more information." >&2;}
370 { (exit 1); exit 1; }; } ;;
371
372 *) ac_config_targets="$ac_config_targets $1" ;;
373
374 esac
375 shift
376 done
377
378 ac_configure_extra_args=
379
380 if $ac_cs_silent; then
381 exec 6>/dev/null
382 ac_configure_extra_args="$ac_configure_extra_args --silent"
383 fi
384
385 if $ac_cs_recheck; then
386 echo "running /bin/sh ./configure " '--enable-tests' $ac_configure_extra_args " --no-create --no-recursion" >&6
387 exec /bin/sh ./configure '--enable-tests' $ac_configure_extra_args --no-create --no-recursion
388 fi
389
390 #
391 # INIT-COMMANDS section.
392 #
393
394 AMDEP_TRUE="" ac_aux_dir="config"
395
396 for ac_config_target in $ac_config_targets
397 do
398 case "$ac_config_target" in
399 # Handling of arguments.
400 "Makefile" ) CONFIG_FILES="$CONFIG_FILES Makefile" ;;
401 "doc/Makefile" ) CONFIG_FILES="$CONFIG_FILES doc/Makefile" ;;
402 "itutests/Makefile" ) CONFIG_FILES="$CONFIG_FILES itutests/Makefile" ;;
403 "itutests/fax/Makefile" ) CONFIG_FILES="$CONFIG_FILES itutests/fax/Makefile" ;;
404 "src/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/Makefile" ;;
405 "tests/Makefile" ) CONFIG_FILES="$CONFIG_FILES tests/Makefile" ;;
406 "spandsp.spec" ) CONFIG_FILES="$CONFIG_FILES spandsp.spec" ;;
407 "depfiles" ) CONFIG_COMMANDS="$CONFIG_COMMANDS depfiles" ;;
408 "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h:config-h.in" ;;
409 *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
410 echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
411 { (exit 1); exit 1; }; };;
412 esac
413 done
414
415 # If the user did not use the arguments to specify the items to instantiate,
416 # then the envvar interface is used. Set only those that are not.
417 # We use the long form for the default assignment because of an extremely
418 # bizarre bug on SunOS 4.1.3.
419 if $ac_need_defaults; then
420 test "${CONFIG_FILES+set}" = set || CONFIG_FILES=$config_files
421 test "${CONFIG_HEADERS+set}" = set || CONFIG_HEADERS=$config_headers
422 test "${CONFIG_COMMANDS+set}" = set || CONFIG_COMMANDS=$config_commands
423 fi
424
425 # Have a temporary directory for convenience. Make it in the build tree
426 # simply because there is no reason to put it here, and in addition,
427 # creating and moving files from /tmp can sometimes cause problems.
428 # Create a temporary directory, and hook for its removal unless debugging.
429 $debug ||
430 {
431 trap 'exit_status=$?; rm -rf $tmp && exit $exit_status' 0
432 trap '{ (exit 1); exit 1; }' 1 2 13 15
433 }
434
435 # Create a (secure) tmp directory for tmp files.
436
437 {
438 tmp=`(umask 077 && mktemp -d -q "./confstatXXXXXX") 2>/dev/null` &&
439 test -n "$tmp" && test -d "$tmp"
440 } ||
441 {
442 tmp=./confstat$$-$RANDOM
443 (umask 077 && mkdir $tmp)
444 } ||
445 {
446 echo "$me: cannot create a temporary directory in ." >&2
447 { (exit 1); exit 1; }
448 }
449
450
451 #
452 # CONFIG_FILES section.
453 #
454
455 # No need to generate the scripts if there are no CONFIG_FILES.
456 # This happens for instance when ./config.status config.h
457 if test -n "$CONFIG_FILES"; then
458 # Protect against being on the right side of a sed subst in config.status.
459 sed 's/,@/@@/; s/@,/@@/; s/,;t t$/@;t t/; /@;t t$/s/[\\&,]/\\&/g;
460 s/@@/,@/; s/@@/@,/; s/@;t t$/,;t t/' >$tmp/subs.sed <<\CEOF
461 s,@SHELL@,/bin/sh,;t t
462 s,@PATH_SEPARATOR@,:,;t t
463 s,@PACKAGE_NAME@,,;t t
464 s,@PACKAGE_TARNAME@,,;t t
465 s,@PACKAGE_VERSION@,,;t t
466 s,@PACKAGE_STRING@,,;t t
467 s,@PACKAGE_BUGREPORT@,,;t t
468 s,@exec_prefix@,${prefix},;t t
469 s,@prefix@,/usr/local,;t t
470 s,@program_transform_name@,s,x,x,,;t t
471 s,@bindir@,${exec_prefix}/bin,;t t
472 s,@sbindir@,${exec_prefix}/sbin,;t t
473 s,@libexecdir@,${exec_prefix}/libexec,;t t
474 s,@datadir@,${prefix}/share,;t t
475 s,@sysconfdir@,${prefix}/etc,;t t
476 s,@sharedstatedir@,${prefix}/com,;t t
477 s,@localstatedir@,${prefix}/var,;t t
478 s,@libdir@,${exec_prefix}/lib,;t t
479 s,@includedir@,${prefix}/include,;t t
480 s,@oldincludedir@,/usr/include,;t t
481 s,@infodir@,${prefix}/info,;t t
482 s,@mandir@,${prefix}/man,;t t
483 s,@build_alias@,,;t t
484 s,@host_alias@,,;t t
485 s,@target_alias@,,;t t
486 s,@DEFS@,-DHAVE_CONFIG_H,;t t
487 s,@ECHO_C@,,;t t
488 s,@ECHO_N@,-n,;t t
489 s,@ECHO_T@,,;t t
490 s,@LIBS@,-lm -ltiff ,;t t
491 s,@SPANDSP_LT_CURRENT@,0,;t t
492 s,@SPANDSP_LT_REVISION@,2,;t t
493 s,@SPANDSP_LT_AGE@,0,;t t
494 s,@INSTALL_PROGRAM@,${INSTALL},;t t
495 s,@INSTALL_SCRIPT@,${INSTALL},;t t
496 s,@INSTALL_DATA@,${INSTALL} -m 644,;t t
497 s,@CYGPATH_W@,echo,;t t
498 s,@PACKAGE@,spandsp,;t t
499 s,@VERSION@,0.0.3,;t t
500 s,@ACLOCAL@,${SHELL} /xhome1/tmp/oslec/spandsp-0.0.3/config/missing --run aclocal-1.9,;t t
501 s,@AUTOCONF@,${SHELL} /xhome1/tmp/oslec/spandsp-0.0.3/config/missing --run autoconf,;t t
502 s,@AUTOMAKE@,${SHELL} /xhome1/tmp/oslec/spandsp-0.0.3/config/missing --run automake-1.9,;t t
503 s,@AUTOHEADER@,${SHELL} /xhome1/tmp/oslec/spandsp-0.0.3/config/missing --run autoheader,;t t
504 s,@MAKEINFO@,${SHELL} /xhome1/tmp/oslec/spandsp-0.0.3/config/missing --run makeinfo,;t t
505 s,@install_sh@,/xhome1/tmp/oslec/spandsp-0.0.3/config/install-sh,;t t
506 s,@STRIP@,strip,;t t
507 s,@ac_ct_STRIP@,strip,;t t
508 s,@INSTALL_STRIP_PROGRAM@,${SHELL} $(install_sh) -c -s,;t t
509 s,@mkdir_p@,mkdir -p --,;t t
510 s,@AWK@,gawk,;t t
511 s,@SET_MAKE@,,;t t
512 s,@am__leading_dot@,.,;t t
513 s,@AMTAR@,${SHELL} /xhome1/tmp/oslec/spandsp-0.0.3/config/missing --run tar,;t t
514 s,@am__tar@,${AMTAR} chof - "$$tardir",;t t
515 s,@am__untar@,${AMTAR} xf -,;t t
516 s,@build@,i686-pc-linux-gnu,;t t
517 s,@build_cpu@,i686,;t t
518 s,@build_vendor@,pc,;t t
519 s,@build_os@,linux-gnu,;t t
520 s,@host@,i686-pc-linux-gnu,;t t
521 s,@host_cpu@,i686,;t t
522 s,@host_vendor@,pc,;t t
523 s,@host_os@,linux-gnu,;t t
524 s,@CC@,gcc,;t t
525 s,@CFLAGS@,-g -O2,;t t
526 s,@LDFLAGS@,,;t t
527 s,@CPPFLAGS@, ,;t t
528 s,@ac_ct_CC@,gcc,;t t
529 s,@EXEEXT@,,;t t
530 s,@OBJEXT@,o,;t t
531 s,@DEPDIR@,.deps,;t t
532 s,@am__include@,include,;t t
533 s,@am__quote@,,;t t
534 s,@AMDEP_TRUE@,,;t t
535 s,@AMDEP_FALSE@,#,;t t
536 s,@AMDEPBACKSLASH@,\,;t t
537 s,@CCDEPMODE@,depmode=gcc3,;t t
538 s,@am__fastdepCC_TRUE@,,;t t
539 s,@am__fastdepCC_FALSE@,#,;t t
540 s,@CXX@,g++,;t t
541 s,@CXXFLAGS@,-g -O2,;t t
542 s,@ac_ct_CXX@,g++,;t t
543 s,@CXXDEPMODE@,depmode=gcc3,;t t
544 s,@am__fastdepCXX_TRUE@,,;t t
545 s,@am__fastdepCXX_FALSE@,#,;t t
546 s,@CPP@,gcc -E,;t t
547 s,@EGREP@,grep -E,;t t
548 s,@LN_S@,ln -s,;t t
549 s,@ECHO@,echo,;t t
550 s,@AR@,ar,;t t
551 s,@ac_ct_AR@,ar,;t t
552 s,@RANLIB@,ranlib,;t t
553 s,@ac_ct_RANLIB@,ranlib,;t t
554 s,@CXXCPP@,g++ -E,;t t
555 s,@F77@,,;t t
556 s,@FFLAGS@,,;t t
557 s,@ac_ct_F77@,,;t t
558 s,@LIBTOOL@,$(SHELL) $(top_builddir)/libtool,;t t
559 s,@LIBOBJS@,,;t t
560 s,@COND_DOC_TRUE@,#,;t t
561 s,@COND_DOC_FALSE@,,;t t
562 s,@COND_TESTS_TRUE@,,;t t
563 s,@COND_TESTS_FALSE@,#,;t t
564 s,@COND_ITUTESTS_TRUE@,#,;t t
565 s,@COND_ITUTESTS_FALSE@,,;t t
566 s,@COND_MMX_TRUE@,#,;t t
567 s,@COND_MMX_FALSE@,,;t t
568 s,@COND_SSE_TRUE@,#,;t t
569 s,@COND_SSE_FALSE@,,;t t
570 s,@TESTLIBS@, -L/usr/X11R6/lib -lXft -lXext -lX11 -laudiofile -lfftw3 -lpthread -ldl,;t t
571 s,@COMP_VENDOR_CFLAGS@,-O2 -g -std=gnu99 -Wall -Wunused-variable -Wwrite-strings -Wstrict-prototypes -Wmissing-prototypes,;t t
572 s,@LTLIBOBJS@,,;t t
573 CEOF
574
575 # Split the substitutions into bite-sized pieces for seds with
576 # small command number limits, like on Digital OSF/1 and HP-UX.
577 ac_max_sed_lines=48
578 ac_sed_frag=1 # Number of current file.
579 ac_beg=1 # First line for current file.
580 ac_end=$ac_max_sed_lines # Line after last line for current file.
581 ac_more_lines=:
582 ac_sed_cmds=
583 while $ac_more_lines; do
584 if test $ac_beg -gt 1; then
585 sed "1,${ac_beg}d; ${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
586 else
587 sed "${ac_end}q" $tmp/subs.sed >$tmp/subs.frag
588 fi
589 if test ! -s $tmp/subs.frag; then
590 ac_more_lines=false
591 else
592 # The purpose of the label and of the branching condition is to
593 # speed up the sed processing (if there are no `@' at all, there
594 # is no need to browse any of the substitutions).
595 # These are the two extra sed commands mentioned above.
596 (echo ':t
597 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b' && cat $tmp/subs.frag) >$tmp/subs-$ac_sed_frag.sed
598 if test -z "$ac_sed_cmds"; then
599 ac_sed_cmds="sed -f $tmp/subs-$ac_sed_frag.sed"
600 else
601 ac_sed_cmds="$ac_sed_cmds | sed -f $tmp/subs-$ac_sed_frag.sed"
602 fi
603 ac_sed_frag=`expr $ac_sed_frag + 1`
604 ac_beg=$ac_end
605 ac_end=`expr $ac_end + $ac_max_sed_lines`
606 fi
607 done
608 if test -z "$ac_sed_cmds"; then
609 ac_sed_cmds=cat
610 fi
611 fi # test -n "$CONFIG_FILES"
612
613 for ac_file in : $CONFIG_FILES; do test "x$ac_file" = x: && continue
614 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
615 case $ac_file in
616 - | *:- | *:-:* ) # input from stdin
617 cat >$tmp/stdin
618 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
619 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
620 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
621 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
622 * ) ac_file_in=$ac_file.in ;;
623 esac
624
625 # Compute @srcdir@, @top_srcdir@, and @INSTALL@ for subdirectories.
626 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
627 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
628 X"$ac_file" : 'X\(//\)[^/]' \| \
629 X"$ac_file" : 'X\(//\)$' \| \
630 X"$ac_file" : 'X\(/\)' \| \
631 . : '\(.\)' 2>/dev/null ||
632 echo X"$ac_file" |
633 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
634 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
635 /^X\(\/\/\)$/{ s//\1/; q; }
636 /^X\(\/\).*/{ s//\1/; q; }
637 s/.*/./; q'`
638 { if $as_mkdir_p; then
639 mkdir -p "$ac_dir"
640 else
641 as_dir="$ac_dir"
642 as_dirs=
643 while test ! -d "$as_dir"; do
644 as_dirs="$as_dir $as_dirs"
645 as_dir=`(dirname "$as_dir") 2>/dev/null ||
646 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
647 X"$as_dir" : 'X\(//\)[^/]' \| \
648 X"$as_dir" : 'X\(//\)$' \| \
649 X"$as_dir" : 'X\(/\)' \| \
650 . : '\(.\)' 2>/dev/null ||
651 echo X"$as_dir" |
652 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
653 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
654 /^X\(\/\/\)$/{ s//\1/; q; }
655 /^X\(\/\).*/{ s//\1/; q; }
656 s/.*/./; q'`
657 done
658 test ! -n "$as_dirs" || mkdir $as_dirs
659 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
660 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
661 { (exit 1); exit 1; }; }; }
662
663 ac_builddir=.
664
665 if test "$ac_dir" != .; then
666 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
667 # A "../" for each directory in $ac_dir_suffix.
668 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
669 else
670 ac_dir_suffix= ac_top_builddir=
671 fi
672
673 case $srcdir in
674 .) # No --srcdir option. We are building in place.
675 ac_srcdir=.
676 if test -z "$ac_top_builddir"; then
677 ac_top_srcdir=.
678 else
679 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
680 fi ;;
681 [\\/]* | ?:[\\/]* ) # Absolute path.
682 ac_srcdir=$srcdir$ac_dir_suffix;
683 ac_top_srcdir=$srcdir ;;
684 *) # Relative path.
685 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
686 ac_top_srcdir=$ac_top_builddir$srcdir ;;
687 esac
688
689 # Do not use `cd foo && pwd` to compute absolute paths, because
690 # the directories may not exist.
691 case `pwd` in
692 .) ac_abs_builddir="$ac_dir";;
693 *)
694 case "$ac_dir" in
695 .) ac_abs_builddir=`pwd`;;
696 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
697 *) ac_abs_builddir=`pwd`/"$ac_dir";;
698 esac;;
699 esac
700 case $ac_abs_builddir in
701 .) ac_abs_top_builddir=${ac_top_builddir}.;;
702 *)
703 case ${ac_top_builddir}. in
704 .) ac_abs_top_builddir=$ac_abs_builddir;;
705 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
706 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
707 esac;;
708 esac
709 case $ac_abs_builddir in
710 .) ac_abs_srcdir=$ac_srcdir;;
711 *)
712 case $ac_srcdir in
713 .) ac_abs_srcdir=$ac_abs_builddir;;
714 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
715 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
716 esac;;
717 esac
718 case $ac_abs_builddir in
719 .) ac_abs_top_srcdir=$ac_top_srcdir;;
720 *)
721 case $ac_top_srcdir in
722 .) ac_abs_top_srcdir=$ac_abs_builddir;;
723 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
724 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
725 esac;;
726 esac
727
728
729 case $INSTALL in
730 [\\/$]* | ?:[\\/]* ) ac_INSTALL=$INSTALL ;;
731 *) ac_INSTALL=$ac_top_builddir$INSTALL ;;
732 esac
733
734 # Let's still pretend it is `configure' which instantiates (i.e., don't
735 # use $as_me), people would be surprised to read:
736 # /* config.h. Generated by config.status. */
737 if test x"$ac_file" = x-; then
738 configure_input=
739 else
740 configure_input="$ac_file. "
741 fi
742 configure_input=$configure_input"Generated from `echo $ac_file_in |
743 sed 's,.*/,,'` by configure."
744
745 # First look for the input files in the build tree, otherwise in the
746 # src tree.
747 ac_file_inputs=`IFS=:
748 for f in $ac_file_in; do
749 case $f in
750 -) echo $tmp/stdin ;;
751 [\\/$]*)
752 # Absolute (can't be DOS-style, as IFS=:)
753 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
754 echo "$as_me: error: cannot find input file: $f" >&2;}
755 { (exit 1); exit 1; }; }
756 echo "$f";;
757 *) # Relative
758 if test -f "$f"; then
759 # Build tree
760 echo "$f"
761 elif test -f "$srcdir/$f"; then
762 # Source tree
763 echo "$srcdir/$f"
764 else
765 # /dev/null tree
766 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
767 echo "$as_me: error: cannot find input file: $f" >&2;}
768 { (exit 1); exit 1; }; }
769 fi;;
770 esac
771 done` || { (exit 1); exit 1; }
772
773 if test x"$ac_file" != x-; then
774 { echo "$as_me:$LINENO: creating $ac_file" >&5
775 echo "$as_me: creating $ac_file" >&6;}
776 rm -f "$ac_file"
777 fi
778 sed "/^[ ]*VPATH[ ]*=/{
779 s/:*\$(srcdir):*/:/;
780 s/:*\${srcdir}:*/:/;
781 s/:*@srcdir@:*/:/;
782 s/^\([^=]*=[ ]*\):*/\1/;
783 s/:*$//;
784 s/^[^=]*=[ ]*$//;
785 }
786
787 :t
788 /@[a-zA-Z_][a-zA-Z_0-9]*@/!b
789 s,@configure_input@,$configure_input,;t t
790 s,@srcdir@,$ac_srcdir,;t t
791 s,@abs_srcdir@,$ac_abs_srcdir,;t t
792 s,@top_srcdir@,$ac_top_srcdir,;t t
793 s,@abs_top_srcdir@,$ac_abs_top_srcdir,;t t
794 s,@builddir@,$ac_builddir,;t t
795 s,@abs_builddir@,$ac_abs_builddir,;t t
796 s,@top_builddir@,$ac_top_builddir,;t t
797 s,@abs_top_builddir@,$ac_abs_top_builddir,;t t
798 s,@INSTALL@,$ac_INSTALL,;t t
799 " $ac_file_inputs | (eval "$ac_sed_cmds") >$tmp/out
800 rm -f $tmp/stdin
801 if test x"$ac_file" != x-; then
802 mv $tmp/out $ac_file
803 else
804 cat $tmp/out
805 rm -f $tmp/out
806 fi
807
808 done
809
810 #
811 # CONFIG_HEADER section.
812 #
813
814 # These sed commands are passed to sed as "A NAME B NAME C VALUE D", where
815 # NAME is the cpp macro being defined and VALUE is the value it is being given.
816 #
817 # ac_d sets the value in "#define NAME VALUE" lines.
818 ac_dA='s,^\([ ]*\)#\([ ]*define[ ][ ]*\)'
819 ac_dB='[ ].*$,\1#\2'
820 ac_dC=' '
821 ac_dD=',;t'
822 # ac_u turns "#undef NAME" without trailing blanks into "#define NAME VALUE".
823 ac_uA='s,^\([ ]*\)#\([ ]*\)undef\([ ][ ]*\)'
824 ac_uB='$,\1#\2define\3'
825 ac_uC=' '
826 ac_uD=',;t'
827
828 for ac_file in : $CONFIG_HEADERS; do test "x$ac_file" = x: && continue
829 # Support "outfile[:infile[:infile...]]", defaulting infile="outfile.in".
830 case $ac_file in
831 - | *:- | *:-:* ) # input from stdin
832 cat >$tmp/stdin
833 ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
834 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
835 *:* ) ac_file_in=`echo "$ac_file" | sed 's,[^:]*:,,'`
836 ac_file=`echo "$ac_file" | sed 's,:.*,,'` ;;
837 * ) ac_file_in=$ac_file.in ;;
838 esac
839
840 test x"$ac_file" != x- && { echo "$as_me:$LINENO: creating $ac_file" >&5
841 echo "$as_me: creating $ac_file" >&6;}
842
843 # First look for the input files in the build tree, otherwise in the
844 # src tree.
845 ac_file_inputs=`IFS=:
846 for f in $ac_file_in; do
847 case $f in
848 -) echo $tmp/stdin ;;
849 [\\/$]*)
850 # Absolute (can't be DOS-style, as IFS=:)
851 test -f "$f" || { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
852 echo "$as_me: error: cannot find input file: $f" >&2;}
853 { (exit 1); exit 1; }; }
854 # Do quote $f, to prevent DOS paths from being IFS'd.
855 echo "$f";;
856 *) # Relative
857 if test -f "$f"; then
858 # Build tree
859 echo "$f"
860 elif test -f "$srcdir/$f"; then
861 # Source tree
862 echo "$srcdir/$f"
863 else
864 # /dev/null tree
865 { { echo "$as_me:$LINENO: error: cannot find input file: $f" >&5
866 echo "$as_me: error: cannot find input file: $f" >&2;}
867 { (exit 1); exit 1; }; }
868 fi;;
869 esac
870 done` || { (exit 1); exit 1; }
871 # Remove the trailing spaces.
872 sed 's/[ ]*$//' $ac_file_inputs >$tmp/in
873
874 # Handle all the #define templates only if necessary.
875 if grep "^[ ]*#[ ]*define" $tmp/in >/dev/null; then
876 # If there are no defines, we may have an empty if/fi
877 :
878 cat >$tmp/defines.sed <<CEOF
879 /^[ ]*#[ ]*define/!b
880 t clr
881 : clr
882 ${ac_dA}PACKAGE_NAME${ac_dB}PACKAGE_NAME${ac_dC}""${ac_dD}
883 ${ac_dA}PACKAGE_TARNAME${ac_dB}PACKAGE_TARNAME${ac_dC}""${ac_dD}
884 ${ac_dA}PACKAGE_VERSION${ac_dB}PACKAGE_VERSION${ac_dC}""${ac_dD}
885 ${ac_dA}PACKAGE_STRING${ac_dB}PACKAGE_STRING${ac_dC}""${ac_dD}
886 ${ac_dA}PACKAGE_BUGREPORT${ac_dB}PACKAGE_BUGREPORT${ac_dC}""${ac_dD}
887 ${ac_dA}PACKAGE${ac_dB}PACKAGE${ac_dC}"spandsp"${ac_dD}
888 ${ac_dA}VERSION${ac_dB}VERSION${ac_dC}"0.0.3"${ac_dD}
889 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
890 ${ac_dA}HAVE_SYS_TYPES_H${ac_dB}HAVE_SYS_TYPES_H${ac_dC}1${ac_dD}
891 ${ac_dA}HAVE_SYS_STAT_H${ac_dB}HAVE_SYS_STAT_H${ac_dC}1${ac_dD}
892 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
893 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
894 ${ac_dA}HAVE_MEMORY_H${ac_dB}HAVE_MEMORY_H${ac_dC}1${ac_dD}
895 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
896 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
897 ${ac_dA}HAVE_STDINT_H${ac_dB}HAVE_STDINT_H${ac_dC}1${ac_dD}
898 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
899 ${ac_dA}HAVE_DLFCN_H${ac_dB}HAVE_DLFCN_H${ac_dC}1${ac_dD}
900 ${ac_dA}HAVE_LONG_LONG${ac_dB}HAVE_LONG_LONG${ac_dC}1${ac_dD}
901 ${ac_dA}HAVE_LONG_DOUBLE${ac_dB}HAVE_LONG_DOUBLE${ac_dC}1${ac_dD}
902 ${ac_dA}RETSIGTYPE${ac_dB}RETSIGTYPE${ac_dC}void${ac_dD}
903 ${ac_dA}HAVE_VPRINTF${ac_dB}HAVE_VPRINTF${ac_dC}1${ac_dD}
904 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
905 ${ac_dA}HAVE_MALLOC${ac_dB}HAVE_MALLOC${ac_dC}1${ac_dD}
906 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
907 ${ac_dA}HAVE_REALLOC${ac_dB}HAVE_REALLOC${ac_dC}1${ac_dD}
908 ${ac_dA}HAVE_SYS_SELECT_H${ac_dB}HAVE_SYS_SELECT_H${ac_dC}1${ac_dD}
909 ${ac_dA}HAVE_SYS_SOCKET_H${ac_dB}HAVE_SYS_SOCKET_H${ac_dC}1${ac_dD}
910 ${ac_dA}SELECT_TYPE_ARG1${ac_dB}SELECT_TYPE_ARG1${ac_dC}int${ac_dD}
911 ${ac_dA}SELECT_TYPE_ARG234${ac_dB}SELECT_TYPE_ARG234${ac_dC}(fd_set *)${ac_dD}
912 ${ac_dA}SELECT_TYPE_ARG5${ac_dB}SELECT_TYPE_ARG5${ac_dC}(struct timeval *)${ac_dD}
913 ${ac_dA}HAVE_MEMMOVE${ac_dB}HAVE_MEMMOVE${ac_dC}1${ac_dD}
914 ${ac_dA}HAVE_MEMSET${ac_dB}HAVE_MEMSET${ac_dC}1${ac_dD}
915 ${ac_dA}HAVE_SELECT${ac_dB}HAVE_SELECT${ac_dC}1${ac_dD}
916 ${ac_dA}HAVE_STRCASECMP${ac_dB}HAVE_STRCASECMP${ac_dC}1${ac_dD}
917 ${ac_dA}HAVE_STRCHR${ac_dB}HAVE_STRCHR${ac_dC}1${ac_dD}
918 ${ac_dA}HAVE_STRDUP${ac_dB}HAVE_STRDUP${ac_dC}1${ac_dD}
919 ${ac_dA}HAVE_STRERROR${ac_dB}HAVE_STRERROR${ac_dC}1${ac_dD}
920 CEOF
921 sed -f $tmp/defines.sed $tmp/in >$tmp/out
922 rm -f $tmp/in
923 mv $tmp/out $tmp/in
924
925 cat >$tmp/defines.sed <<CEOF
926 /^[ ]*#[ ]*define/!b
927 t clr
928 : clr
929 ${ac_dA}HAVE_STRSTR${ac_dB}HAVE_STRSTR${ac_dC}1${ac_dD}
930 ${ac_dA}HAVE_STRTOL${ac_dB}HAVE_STRTOL${ac_dC}1${ac_dD}
931 ${ac_dA}HAVE_GETTIMEOFDAY${ac_dB}HAVE_GETTIMEOFDAY${ac_dC}1${ac_dD}
932 ${ac_dA}STDC_HEADERS${ac_dB}STDC_HEADERS${ac_dC}1${ac_dD}
933 ${ac_dA}HAVE_SYS_WAIT_H${ac_dB}HAVE_SYS_WAIT_H${ac_dC}1${ac_dD}
934 ${ac_dA}TIME_WITH_SYS_TIME${ac_dB}TIME_WITH_SYS_TIME${ac_dC}1${ac_dD}
935 ${ac_dA}HAVE_INTTYPES_H${ac_dB}HAVE_INTTYPES_H${ac_dC}1${ac_dD}
936 ${ac_dA}HAVE_UNISTD_H${ac_dB}HAVE_UNISTD_H${ac_dC}1${ac_dD}
937 ${ac_dA}HAVE_STDLIB_H${ac_dB}HAVE_STDLIB_H${ac_dC}1${ac_dD}
938 ${ac_dA}HAVE_STRING_H${ac_dB}HAVE_STRING_H${ac_dC}1${ac_dD}
939 ${ac_dA}HAVE_STRINGS_H${ac_dB}HAVE_STRINGS_H${ac_dC}1${ac_dD}
940 ${ac_dA}HAVE_MALLOC_H${ac_dB}HAVE_MALLOC_H${ac_dC}1${ac_dD}
941 ${ac_dA}HAVE_TGMATH_H${ac_dB}HAVE_TGMATH_H${ac_dC}1${ac_dD}
942 ${ac_dA}HAVE_MATH_H${ac_dB}HAVE_MATH_H${ac_dC}1${ac_dD}
943 ${ac_dA}HAVE_FLOAT_H${ac_dB}HAVE_FLOAT_H${ac_dC}1${ac_dD}
944 ${ac_dA}HAVE_FCNTL_H${ac_dB}HAVE_FCNTL_H${ac_dC}1${ac_dD}
945 ${ac_dA}HAVE_SYS_TIME_H${ac_dB}HAVE_SYS_TIME_H${ac_dC}1${ac_dD}
946 ${ac_dA}HAVE_SYS_SELECT_H${ac_dB}HAVE_SYS_SELECT_H${ac_dC}1${ac_dD}
947 ${ac_dA}HAVE_SYS_IOCTL_H${ac_dB}HAVE_SYS_IOCTL_H${ac_dC}1${ac_dD}
948 ${ac_dA}HAVE_SYS_FCNTL_H${ac_dB}HAVE_SYS_FCNTL_H${ac_dC}1${ac_dD}
949 ${ac_dA}HAVE_AUDIOFILE_H${ac_dB}HAVE_AUDIOFILE_H${ac_dC}1${ac_dD}
950 ${ac_dA}HAVE_FFTW3_H${ac_dB}HAVE_FFTW3_H${ac_dC}1${ac_dD}
951 ${ac_dA}HAVE_TIFFIO_H${ac_dB}HAVE_TIFFIO_H${ac_dC}1${ac_dD}
952 ${ac_dA}HAVE_PTHREAD_H${ac_dB}HAVE_PTHREAD_H${ac_dC}1${ac_dD}
953 ${ac_dA}HAVE_X11_X_H${ac_dB}HAVE_X11_X_H${ac_dC}1${ac_dD}
954 ${ac_dA}HAVE_LIBTIFF${ac_dB}HAVE_LIBTIFF${ac_dC}1${ac_dD}
955 ${ac_dA}HAVE_LIBM${ac_dB}HAVE_LIBM${ac_dC}1${ac_dD}
956 CEOF
957 sed -f $tmp/defines.sed $tmp/in >$tmp/out
958 rm -f $tmp/in
959 mv $tmp/out $tmp/in
960
961 fi # grep
962
963 # Handle all the #undef templates
964 cat >$tmp/undefs.sed <<CEOF
965 /^[ ]*#[ ]*undef/!b
966 t clr
967 : clr
968 ${ac_uA}PACKAGE_NAME${ac_uB}PACKAGE_NAME${ac_uC}""${ac_uD}
969 ${ac_uA}PACKAGE_TARNAME${ac_uB}PACKAGE_TARNAME${ac_uC}""${ac_uD}
970 ${ac_uA}PACKAGE_VERSION${ac_uB}PACKAGE_VERSION${ac_uC}""${ac_uD}
971 ${ac_uA}PACKAGE_STRING${ac_uB}PACKAGE_STRING${ac_uC}""${ac_uD}
972 ${ac_uA}PACKAGE_BUGREPORT${ac_uB}PACKAGE_BUGREPORT${ac_uC}""${ac_uD}
973 ${ac_uA}PACKAGE${ac_uB}PACKAGE${ac_uC}"spandsp"${ac_uD}
974 ${ac_uA}VERSION${ac_uB}VERSION${ac_uC}"0.0.3"${ac_uD}
975 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
976 ${ac_uA}HAVE_SYS_TYPES_H${ac_uB}HAVE_SYS_TYPES_H${ac_uC}1${ac_uD}
977 ${ac_uA}HAVE_SYS_STAT_H${ac_uB}HAVE_SYS_STAT_H${ac_uC}1${ac_uD}
978 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
979 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
980 ${ac_uA}HAVE_MEMORY_H${ac_uB}HAVE_MEMORY_H${ac_uC}1${ac_uD}
981 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
982 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
983 ${ac_uA}HAVE_STDINT_H${ac_uB}HAVE_STDINT_H${ac_uC}1${ac_uD}
984 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
985 ${ac_uA}HAVE_DLFCN_H${ac_uB}HAVE_DLFCN_H${ac_uC}1${ac_uD}
986 ${ac_uA}HAVE_LONG_LONG${ac_uB}HAVE_LONG_LONG${ac_uC}1${ac_uD}
987 ${ac_uA}HAVE_LONG_DOUBLE${ac_uB}HAVE_LONG_DOUBLE${ac_uC}1${ac_uD}
988 ${ac_uA}RETSIGTYPE${ac_uB}RETSIGTYPE${ac_uC}void${ac_uD}
989 ${ac_uA}HAVE_VPRINTF${ac_uB}HAVE_VPRINTF${ac_uC}1${ac_uD}
990 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
991 ${ac_uA}HAVE_MALLOC${ac_uB}HAVE_MALLOC${ac_uC}1${ac_uD}
992 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
993 ${ac_uA}HAVE_REALLOC${ac_uB}HAVE_REALLOC${ac_uC}1${ac_uD}
994 ${ac_uA}HAVE_SYS_SELECT_H${ac_uB}HAVE_SYS_SELECT_H${ac_uC}1${ac_uD}
995 ${ac_uA}HAVE_SYS_SOCKET_H${ac_uB}HAVE_SYS_SOCKET_H${ac_uC}1${ac_uD}
996 ${ac_uA}SELECT_TYPE_ARG1${ac_uB}SELECT_TYPE_ARG1${ac_uC}int${ac_uD}
997 ${ac_uA}SELECT_TYPE_ARG234${ac_uB}SELECT_TYPE_ARG234${ac_uC}(fd_set *)${ac_uD}
998 ${ac_uA}SELECT_TYPE_ARG5${ac_uB}SELECT_TYPE_ARG5${ac_uC}(struct timeval *)${ac_uD}
999 ${ac_uA}HAVE_MEMMOVE${ac_uB}HAVE_MEMMOVE${ac_uC}1${ac_uD}
1000 ${ac_uA}HAVE_MEMSET${ac_uB}HAVE_MEMSET${ac_uC}1${ac_uD}
1001 ${ac_uA}HAVE_SELECT${ac_uB}HAVE_SELECT${ac_uC}1${ac_uD}
1002 ${ac_uA}HAVE_STRCASECMP${ac_uB}HAVE_STRCASECMP${ac_uC}1${ac_uD}
1003 ${ac_uA}HAVE_STRCHR${ac_uB}HAVE_STRCHR${ac_uC}1${ac_uD}
1004 ${ac_uA}HAVE_STRDUP${ac_uB}HAVE_STRDUP${ac_uC}1${ac_uD}
1005 ${ac_uA}HAVE_STRERROR${ac_uB}HAVE_STRERROR${ac_uC}1${ac_uD}
1006 CEOF
1007 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1008 rm -f $tmp/in
1009 mv $tmp/out $tmp/in
1010
1011 cat >$tmp/undefs.sed <<CEOF
1012 /^[ ]*#[ ]*undef/!b
1013 t clr
1014 : clr
1015 ${ac_uA}HAVE_STRSTR${ac_uB}HAVE_STRSTR${ac_uC}1${ac_uD}
1016 ${ac_uA}HAVE_STRTOL${ac_uB}HAVE_STRTOL${ac_uC}1${ac_uD}
1017 ${ac_uA}HAVE_GETTIMEOFDAY${ac_uB}HAVE_GETTIMEOFDAY${ac_uC}1${ac_uD}
1018 ${ac_uA}STDC_HEADERS${ac_uB}STDC_HEADERS${ac_uC}1${ac_uD}
1019 ${ac_uA}HAVE_SYS_WAIT_H${ac_uB}HAVE_SYS_WAIT_H${ac_uC}1${ac_uD}
1020 ${ac_uA}TIME_WITH_SYS_TIME${ac_uB}TIME_WITH_SYS_TIME${ac_uC}1${ac_uD}
1021 ${ac_uA}HAVE_INTTYPES_H${ac_uB}HAVE_INTTYPES_H${ac_uC}1${ac_uD}
1022 ${ac_uA}HAVE_UNISTD_H${ac_uB}HAVE_UNISTD_H${ac_uC}1${ac_uD}
1023 ${ac_uA}HAVE_STDLIB_H${ac_uB}HAVE_STDLIB_H${ac_uC}1${ac_uD}
1024 ${ac_uA}HAVE_STRING_H${ac_uB}HAVE_STRING_H${ac_uC}1${ac_uD}
1025 ${ac_uA}HAVE_STRINGS_H${ac_uB}HAVE_STRINGS_H${ac_uC}1${ac_uD}
1026 ${ac_uA}HAVE_MALLOC_H${ac_uB}HAVE_MALLOC_H${ac_uC}1${ac_uD}
1027 ${ac_uA}HAVE_TGMATH_H${ac_uB}HAVE_TGMATH_H${ac_uC}1${ac_uD}
1028 ${ac_uA}HAVE_MATH_H${ac_uB}HAVE_MATH_H${ac_uC}1${ac_uD}
1029 ${ac_uA}HAVE_FLOAT_H${ac_uB}HAVE_FLOAT_H${ac_uC}1${ac_uD}
1030 ${ac_uA}HAVE_FCNTL_H${ac_uB}HAVE_FCNTL_H${ac_uC}1${ac_uD}
1031 ${ac_uA}HAVE_SYS_TIME_H${ac_uB}HAVE_SYS_TIME_H${ac_uC}1${ac_uD}
1032 ${ac_uA}HAVE_SYS_SELECT_H${ac_uB}HAVE_SYS_SELECT_H${ac_uC}1${ac_uD}
1033 ${ac_uA}HAVE_SYS_IOCTL_H${ac_uB}HAVE_SYS_IOCTL_H${ac_uC}1${ac_uD}
1034 ${ac_uA}HAVE_SYS_FCNTL_H${ac_uB}HAVE_SYS_FCNTL_H${ac_uC}1${ac_uD}
1035 ${ac_uA}HAVE_AUDIOFILE_H${ac_uB}HAVE_AUDIOFILE_H${ac_uC}1${ac_uD}
1036 ${ac_uA}HAVE_FFTW3_H${ac_uB}HAVE_FFTW3_H${ac_uC}1${ac_uD}
1037 ${ac_uA}HAVE_TIFFIO_H${ac_uB}HAVE_TIFFIO_H${ac_uC}1${ac_uD}
1038 ${ac_uA}HAVE_PTHREAD_H${ac_uB}HAVE_PTHREAD_H${ac_uC}1${ac_uD}
1039 ${ac_uA}HAVE_X11_X_H${ac_uB}HAVE_X11_X_H${ac_uC}1${ac_uD}
1040 ${ac_uA}HAVE_LIBTIFF${ac_uB}HAVE_LIBTIFF${ac_uC}1${ac_uD}
1041 ${ac_uA}HAVE_LIBM${ac_uB}HAVE_LIBM${ac_uC}1${ac_uD}
1042 s,^[ ]*#[ ]*undef[ ][ ]*[a-zA-Z_][a-zA-Z_0-9]*,/* & */,
1043 CEOF
1044 sed -f $tmp/undefs.sed $tmp/in >$tmp/out
1045 rm -f $tmp/in
1046 mv $tmp/out $tmp/in
1047
1048 # Let's still pretend it is `configure' which instantiates (i.e., don't
1049 # use $as_me), people would be surprised to read:
1050 # /* config.h. Generated by config.status. */
1051 if test x"$ac_file" = x-; then
1052 echo "/* Generated by configure. */" >$tmp/config.h
1053 else
1054 echo "/* $ac_file. Generated by configure. */" >$tmp/config.h
1055 fi
1056 cat $tmp/in >>$tmp/config.h
1057 rm -f $tmp/in
1058 if test x"$ac_file" != x-; then
1059 if diff $ac_file $tmp/config.h >/dev/null 2>&1; then
1060 { echo "$as_me:$LINENO: $ac_file is unchanged" >&5
1061 echo "$as_me: $ac_file is unchanged" >&6;}
1062 else
1063 ac_dir=`(dirname "$ac_file") 2>/dev/null ||
1064 $as_expr X"$ac_file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1065 X"$ac_file" : 'X\(//\)[^/]' \| \
1066 X"$ac_file" : 'X\(//\)$' \| \
1067 X"$ac_file" : 'X\(/\)' \| \
1068 . : '\(.\)' 2>/dev/null ||
1069 echo X"$ac_file" |
1070 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1071 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1072 /^X\(\/\/\)$/{ s//\1/; q; }
1073 /^X\(\/\).*/{ s//\1/; q; }
1074 s/.*/./; q'`
1075 { if $as_mkdir_p; then
1076 mkdir -p "$ac_dir"
1077 else
1078 as_dir="$ac_dir"
1079 as_dirs=
1080 while test ! -d "$as_dir"; do
1081 as_dirs="$as_dir $as_dirs"
1082 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1083 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1084 X"$as_dir" : 'X\(//\)[^/]' \| \
1085 X"$as_dir" : 'X\(//\)$' \| \
1086 X"$as_dir" : 'X\(/\)' \| \
1087 . : '\(.\)' 2>/dev/null ||
1088 echo X"$as_dir" |
1089 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1090 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1091 /^X\(\/\/\)$/{ s//\1/; q; }
1092 /^X\(\/\).*/{ s//\1/; q; }
1093 s/.*/./; q'`
1094 done
1095 test ! -n "$as_dirs" || mkdir $as_dirs
1096 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1097 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1098 { (exit 1); exit 1; }; }; }
1099
1100 rm -f $ac_file
1101 mv $tmp/config.h $ac_file
1102 fi
1103 else
1104 cat $tmp/config.h
1105 rm -f $tmp/config.h
1106 fi
1107 # Compute $ac_file's index in $config_headers.
1108 _am_stamp_count=1
1109 for _am_header in $config_headers :; do
1110 case $_am_header in
1111 $ac_file | $ac_file:* )
1112 break ;;
1113 * )
1114 _am_stamp_count=`expr $_am_stamp_count + 1` ;;
1115 esac
1116 done
1117 echo "timestamp for $ac_file" >`(dirname $ac_file) 2>/dev/null ||
1118 $as_expr X$ac_file : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1119 X$ac_file : 'X\(//\)[^/]' \| \
1120 X$ac_file : 'X\(//\)$' \| \
1121 X$ac_file : 'X\(/\)' \| \
1122 . : '\(.\)' 2>/dev/null ||
1123 echo X$ac_file |
1124 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1125 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1126 /^X\(\/\/\)$/{ s//\1/; q; }
1127 /^X\(\/\).*/{ s//\1/; q; }
1128 s/.*/./; q'`/stamp-h$_am_stamp_count
1129 done
1130
1131 #
1132 # CONFIG_COMMANDS section.
1133 #
1134 for ac_file in : $CONFIG_COMMANDS; do test "x$ac_file" = x: && continue
1135 ac_dest=`echo "$ac_file" | sed 's,:.*,,'`
1136 ac_source=`echo "$ac_file" | sed 's,[^:]*:,,'`
1137 ac_dir=`(dirname "$ac_dest") 2>/dev/null ||
1138 $as_expr X"$ac_dest" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1139 X"$ac_dest" : 'X\(//\)[^/]' \| \
1140 X"$ac_dest" : 'X\(//\)$' \| \
1141 X"$ac_dest" : 'X\(/\)' \| \
1142 . : '\(.\)' 2>/dev/null ||
1143 echo X"$ac_dest" |
1144 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1145 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1146 /^X\(\/\/\)$/{ s//\1/; q; }
1147 /^X\(\/\).*/{ s//\1/; q; }
1148 s/.*/./; q'`
1149 { if $as_mkdir_p; then
1150 mkdir -p "$ac_dir"
1151 else
1152 as_dir="$ac_dir"
1153 as_dirs=
1154 while test ! -d "$as_dir"; do
1155 as_dirs="$as_dir $as_dirs"
1156 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1157 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1158 X"$as_dir" : 'X\(//\)[^/]' \| \
1159 X"$as_dir" : 'X\(//\)$' \| \
1160 X"$as_dir" : 'X\(/\)' \| \
1161 . : '\(.\)' 2>/dev/null ||
1162 echo X"$as_dir" |
1163 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1164 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1165 /^X\(\/\/\)$/{ s//\1/; q; }
1166 /^X\(\/\).*/{ s//\1/; q; }
1167 s/.*/./; q'`
1168 done
1169 test ! -n "$as_dirs" || mkdir $as_dirs
1170 fi || { { echo "$as_me:$LINENO: error: cannot create directory \"$ac_dir\"" >&5
1171 echo "$as_me: error: cannot create directory \"$ac_dir\"" >&2;}
1172 { (exit 1); exit 1; }; }; }
1173
1174 ac_builddir=.
1175
1176 if test "$ac_dir" != .; then
1177 ac_dir_suffix=/`echo "$ac_dir" | sed 's,^\.[\\/],,'`
1178 # A "../" for each directory in $ac_dir_suffix.
1179 ac_top_builddir=`echo "$ac_dir_suffix" | sed 's,/[^\\/]*,../,g'`
1180 else
1181 ac_dir_suffix= ac_top_builddir=
1182 fi
1183
1184 case $srcdir in
1185 .) # No --srcdir option. We are building in place.
1186 ac_srcdir=.
1187 if test -z "$ac_top_builddir"; then
1188 ac_top_srcdir=.
1189 else
1190 ac_top_srcdir=`echo $ac_top_builddir | sed 's,/$,,'`
1191 fi ;;
1192 [\\/]* | ?:[\\/]* ) # Absolute path.
1193 ac_srcdir=$srcdir$ac_dir_suffix;
1194 ac_top_srcdir=$srcdir ;;
1195 *) # Relative path.
1196 ac_srcdir=$ac_top_builddir$srcdir$ac_dir_suffix
1197 ac_top_srcdir=$ac_top_builddir$srcdir ;;
1198 esac
1199
1200 # Do not use `cd foo && pwd` to compute absolute paths, because
1201 # the directories may not exist.
1202 case `pwd` in
1203 .) ac_abs_builddir="$ac_dir";;
1204 *)
1205 case "$ac_dir" in
1206 .) ac_abs_builddir=`pwd`;;
1207 [\\/]* | ?:[\\/]* ) ac_abs_builddir="$ac_dir";;
1208 *) ac_abs_builddir=`pwd`/"$ac_dir";;
1209 esac;;
1210 esac
1211 case $ac_abs_builddir in
1212 .) ac_abs_top_builddir=${ac_top_builddir}.;;
1213 *)
1214 case ${ac_top_builddir}. in
1215 .) ac_abs_top_builddir=$ac_abs_builddir;;
1216 [\\/]* | ?:[\\/]* ) ac_abs_top_builddir=${ac_top_builddir}.;;
1217 *) ac_abs_top_builddir=$ac_abs_builddir/${ac_top_builddir}.;;
1218 esac;;
1219 esac
1220 case $ac_abs_builddir in
1221 .) ac_abs_srcdir=$ac_srcdir;;
1222 *)
1223 case $ac_srcdir in
1224 .) ac_abs_srcdir=$ac_abs_builddir;;
1225 [\\/]* | ?:[\\/]* ) ac_abs_srcdir=$ac_srcdir;;
1226 *) ac_abs_srcdir=$ac_abs_builddir/$ac_srcdir;;
1227 esac;;
1228 esac
1229 case $ac_abs_builddir in
1230 .) ac_abs_top_srcdir=$ac_top_srcdir;;
1231 *)
1232 case $ac_top_srcdir in
1233 .) ac_abs_top_srcdir=$ac_abs_builddir;;
1234 [\\/]* | ?:[\\/]* ) ac_abs_top_srcdir=$ac_top_srcdir;;
1235 *) ac_abs_top_srcdir=$ac_abs_builddir/$ac_top_srcdir;;
1236 esac;;
1237 esac
1238
1239
1240 { echo "$as_me:$LINENO: executing $ac_dest commands" >&5
1241 echo "$as_me: executing $ac_dest commands" >&6;}
1242 case $ac_dest in
1243 depfiles ) test x"$AMDEP_TRUE" != x"" || for mf in $CONFIG_FILES; do
1244 # Strip MF so we end up with the name of the file.
1245 mf=`echo "$mf" | sed -e 's/:.*$//'`
1246 # Check whether this is an Automake generated Makefile or not.
1247 # We used to match only the files named `Makefile.in', but
1248 # some people rename them; so instead we look at the file content.
1249 # Grep'ing the first line is not enough: some people post-process
1250 # each Makefile.in and add a new line on top of each file to say so.
1251 # So let's grep whole file.
1252 if grep '^#.*generated by automake' $mf > /dev/null 2>&1; then
1253 dirpart=`(dirname "$mf") 2>/dev/null ||
1254 $as_expr X"$mf" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1255 X"$mf" : 'X\(//\)[^/]' \| \
1256 X"$mf" : 'X\(//\)$' \| \
1257 X"$mf" : 'X\(/\)' \| \
1258 . : '\(.\)' 2>/dev/null ||
1259 echo X"$mf" |
1260 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1261 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1262 /^X\(\/\/\)$/{ s//\1/; q; }
1263 /^X\(\/\).*/{ s//\1/; q; }
1264 s/.*/./; q'`
1265 else
1266 continue
1267 fi
1268 # Extract the definition of DEPDIR, am__include, and am__quote
1269 # from the Makefile without running `make'.
1270 DEPDIR=`sed -n 's/^DEPDIR = //p' < "$mf"`
1271 test -z "$DEPDIR" && continue
1272 am__include=`sed -n 's/^am__include = //p' < "$mf"`
1273 test -z "am__include" && continue
1274 am__quote=`sed -n 's/^am__quote = //p' < "$mf"`
1275 # When using ansi2knr, U may be empty or an underscore; expand it
1276 U=`sed -n 's/^U = //p' < "$mf"`
1277 # Find all dependency output files, they are included files with
1278 # $(DEPDIR) in their names. We invoke sed twice because it is the
1279 # simplest approach to changing $(DEPDIR) to its actual value in the
1280 # expansion.
1281 for file in `sed -n "
1282 s/^$am__include $am__quote\(.*(DEPDIR).*\)$am__quote"'$/\1/p' <"$mf" | \
1283 sed -e 's/\$(DEPDIR)/'"$DEPDIR"'/g' -e 's/\$U/'"$U"'/g'`; do
1284 # Make sure the directory exists.
1285 test -f "$dirpart/$file" && continue
1286 fdir=`(dirname "$file") 2>/dev/null ||
1287 $as_expr X"$file" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1288 X"$file" : 'X\(//\)[^/]' \| \
1289 X"$file" : 'X\(//\)$' \| \
1290 X"$file" : 'X\(/\)' \| \
1291 . : '\(.\)' 2>/dev/null ||
1292 echo X"$file" |
1293 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1294 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1295 /^X\(\/\/\)$/{ s//\1/; q; }
1296 /^X\(\/\).*/{ s//\1/; q; }
1297 s/.*/./; q'`
1298 { if $as_mkdir_p; then
1299 mkdir -p $dirpart/$fdir
1300 else
1301 as_dir=$dirpart/$fdir
1302 as_dirs=
1303 while test ! -d "$as_dir"; do
1304 as_dirs="$as_dir $as_dirs"
1305 as_dir=`(dirname "$as_dir") 2>/dev/null ||
1306 $as_expr X"$as_dir" : 'X\(.*[^/]\)//*[^/][^/]*/*$' \| \
1307 X"$as_dir" : 'X\(//\)[^/]' \| \
1308 X"$as_dir" : 'X\(//\)$' \| \
1309 X"$as_dir" : 'X\(/\)' \| \
1310 . : '\(.\)' 2>/dev/null ||
1311 echo X"$as_dir" |
1312 sed '/^X\(.*[^/]\)\/\/*[^/][^/]*\/*$/{ s//\1/; q; }
1313 /^X\(\/\/\)[^/].*/{ s//\1/; q; }
1314 /^X\(\/\/\)$/{ s//\1/; q; }
1315 /^X\(\/\).*/{ s//\1/; q; }
1316 s/.*/./; q'`
1317 done
1318 test ! -n "$as_dirs" || mkdir $as_dirs
1319 fi || { { echo "$as_me:$LINENO: error: cannot create directory $dirpart/$fdir" >&5
1320 echo "$as_me: error: cannot create directory $dirpart/$fdir" >&2;}
1321 { (exit 1); exit 1; }; }; }
1322
1323 # echo "creating $dirpart/$file"
1324 echo '# dummy' > "$dirpart/$file"
1325 done
1326 done
1327 ;;
1328 esac
1329 done
1330
1331 { (exit 0); exit 0; }

Repositories maintained by Peter Meerwald, pmeerw@pmeerw.net.